function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--background-primary);\n                ",
        ": var(--text-tertiary);\n                ",
        ": var(--text-primary);\n                ",
        ": var(--text-secondary);\n                ",
        ": var(--text-accent);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1rem;\n                ",
        ": 1rem;\n                ",
        ": -1rem;\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, editableTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), editableTokens.editButtonBackground, editableTokens.editButtonColor, editableTokens.editButtonColorHover, editableTokens.placeholderColor, editableTokens.caretColor)
        },
        size: {
            m: css(_templateObject1(), editableTokens.editButtonPaddingLeft, editableTokens.textBoxPaddingRight, editableTokens.textBoxMarginRight)
        }
    }
};
